| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::AndFilter Class Reference
Utililty classes

The AndFilter class provides a generic filter object to be used in conjunction of other filters. More...

`#include <TelepathyQt/AndFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~AndFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- QList< SharedPtr< const Filter
  < T > > > filters () const

## Static Public Member Functions

- static SharedPtr< AndFilter< T > > create (const QList< SharedPtr< const Filter< T > > > &filters=QList< SharedPtr< const Filter< T > > >())

## Detailed Description

The AndFilter class provides a generic filter object to be used in conjunction of other filters.

The AndFilter will match if all of its given list of filters matches their criteria.

## Constructor & Destructor Documentation

virtual Tp::AndFilter::~AndFilter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

static SharedPtr<AndFilter<T> > Tp::AndFilter::create | ( | const QList< SharedPtr< const Filter< T > > > & | filters = `QList<SharedPtr<const Filter<T> > >()` | ) | `[inline, static]`

virtual bool Tp::AndFilter::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

virtual bool Tp::AndFilter::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

QList<SharedPtr<const Filter<T> > > Tp::AndFilter::filters | ( |  | ) | const`[inline]`